<?php

require_once 'app/Mage.php';

Mage::app();

// INSTANTIATING A PRODUCT OBJECT
$product = Mage::getModel('catalog/product')->load(46);
var_dump($product);

// GETTING DATA FROM PRODUCT 
//$product->getData('meta_title') == $product->getMetaTitle();
echo $product->getData('meta_title');
echo $product->getMetaTitle();

// SETTING DATA TO PRODUCT OBJECT

//$product->setData('meta_title', 'updated') == $product->setMetaTitle('updated');
$product->setData('meta_title', 'updated');
$product->setMetaTitle('updated');

// if you want to save the data to the database, 
// you need to call save() method on the object.

$product->setMetaTitle('updated')->save();

// DATA DELETION

$product->delete();

// WORKING WITH COLLECTIONS

$products = Mage::getModel('catalog/product')->getCollection();

// will not work because, by default, product collection
// load only data from catalog_product_entity table.
foreach($products as $product) {
	echo $product->getName();
}

// Loading name and price
// filtering by price < 50
$products = Mage::getModel('catalog/product')
				->getCollection()
				->addAttributeToSelect(array('name, price'))
				->addFieldToFilter('price', array("lt" => 50));
